Description

On a number of occasions I have seen the PPPoE connection between pfSense and our ADSL modem go down, the modem still

sees the ADSL as SHOWTIME and the ADSL itself has not gone down (uptime is multiple days), but the PPPoE between the modem

and pfSense shows as not connected.

Clicking connect on the GUI does not reconnect, however, rebooting pfSense does.

I'm uncertain what debugging information would prove useful, but I'm happy to set this up in advance of the next incident or perform

whatever actions are detailed here when it next happens?

History

#1 - 06/17/2015 10:26 PM - Chris Buechler

- Category changed from PPPoE Server to Interfaces

- Status changed from New to Feedback

what hardware?

the only issue along those lines I can recall in any version was some modems combined with some old ALIX boards would result in the scenario you

describe. Some oddity with the NICs and certain modems.

#2 - 06/18/2015 01:39 AM - Bipin Chandra

https://forum.pfsense.org/index.php?topic=41061.0

long thread but to me it seems the nic drivers is the culprit, the only was i can get it to connect is to force the nic to disable and then enable as

rebooting resets the nic thats y it then connects, regarding modems, i have tried it many different modems, isps and in difeerent countries, the issue

still remains with the alix nic having the via chipset

#3 - 06/18/2015 06:54 AM - Technical Support Brendata (UK) Ltd

The actual hardware is a BT Voyager 190 Ethernet ADSL modem with the unlocked firmware on it.

I assume that the issue is resolvable on the pfsense side as a reboot of the pfsense  box reconnects without anything being done to the Ethernet

model (as stated the ADSL stays up all the time).

#4 - 06/18/2015 12:34 PM - Chris Buechler

not the modem, what hardware are you running pfSense on, specifically what NICs but other details might help.

#5 - 06/19/2015 04:02 AM - Bipin Chandra

for me alix via chipset and 2 full install machines with realtek chipset have this issue

#6 - 06/19/2015 04:06 AM - Technical Support Brendata (UK) Ltd

It's a virtual machine on ESX, using E1000 nics, the NIC isn't locked however as the web interface on the ADSL modem can be accessed and the

only route to that is via the pfSense box.

#7 - 06/19/2015 02:08 PM - Chris Buechler

Ok that's a different circumstance from the other I mentioned (which is the same as what Bipin noted). That's never applied to Intel NICs, and wouldn't
apply to ESX as those NICs never lose link in that circumstance.

What do your PPPoE logs show at the time? If you packet capture on WAN (no filtering, count 0, let it run for 15-30 seconds or so and stop), what

does that look like? Can email me the resulting pcap file (cmb at pfsense dot org) with reference to this ticket.

#8 - 02/02/2016 01:00 AM - Chris Buechler

- Status changed from Feedback to Closed

- Affected Version deleted (2.2.2)

no response and no other reports of such issues in this circumstance
